# TIFFCMP

Section: User Commands (1)
Updated: September 26, 1994
Index
Return to Main Contents

## NAME

tiffcmp - compare two TIFF files

## SYNOPSIS

tiffcmp [ options ] file1.tif file2.tif

## DESCRIPTION

Tiffcmp compares the tags and data in two files created according to the Tagged Image File Format, Revision 6.0. The schemes used for compressing data in each file are immaterial when data are compared-data are compared on a scanline-by-scanline basis after decompression. Most directory tags are checked; notable exceptions are: GrayResponseCurve, ColorResponseCurve, and ColorMap tags. Data will not be compared if any of the BitsPerSample, SamplesPerPixel, or ImageWidth values are not equal. By default, tiffcmp will terminate if it encounters any difference.

## OPTIONS

-l
  List each byte of image data that differs between the files.
-t
  Ignore any differences in directory tags.

## BUGS

Tags that are not recognized by the library are not compared; they may also generate spurious diagnostics.

## SEE ALSO

pal2rgb(1), tiffinfo(1), tiffcp(1), tiffmedian(1), libtiff(3)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
BUGS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:31:47 GMT, November 23, 1999